import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce_xr 
{	  public String s;
	  public  ce_xr()
	  { // default function class name . f2D
	   input_xr g=new input_xr("fxr"," ");
	   s=g.vericiktisi();
	   try{ g.finalize();} 
	   catch(Throwable e1) {System.err.println("input error.");} 
	  }
	  
	  public  ce_xr(String name,String function)
	  {	  functiongenerator_xr g=new functiongenerator_xr(name,function);
	      s=function;
	      try{g.createfunction();g.finalize();} 
	      catch(Throwable e1) {System.err.println("input error.");}
	  }
	  
	  public  ce_xr(String function)
	  {	  functiongenerator_xr g=new functiongenerator_xr("fxr",function);	      
	      s=function;
	      try{ g.createfunction();g.finalize();} 
	      catch(Throwable e1) {System.err.println("input error.");}
	  }

	  public static void main(String arg[])
	  { //String s1=JOptionPane.showInputDialog(" Fonksiyonu giriniz : ");
		ce_xr x0=new ce_xr();
		System.out.println(x0.s);
        //double a[]=Text.readDoubleV("Enter minimum and maximum values of the function xmin xmax");
        //ce3 x1=new ce3(a[0],a[1],400,x0.s);
	  }
}
